// Data structures in Namcos Ace Combat 2.



namespace Namco {


	// Ace Combat 2, released in 1997 for PlayStation.
	namespace AceCombat2 {


		// DAT Header. Points to data blocks with 2048-B alignment (in accordance with CD-ROM sectors).
		struct DAT_Directory {
			UInt4B_LE version;
			UInt4B_LE numberOfBlocks;
			CDPointer pointers[]; // always sorted
		};


		struct DAT_BlockHeader {
			UInt4B_LE size;
			UInt4B_LE numberOfOffsets;
			UInt4B_LE offsets[];
		};


	} // AceCombat2


} // Namco