// Visual C++ 2015 C-Runtime replacements which are common to EXEs and DLLs.
//   compatible to Visual Studio 2017 as well
//   also requires
//     either 2015 x86-32.asm or 2015 x86-64.asm
//     2015 intrinsics.cpp
//   2015 EXE.inl contains EXE-specific replacements
//   2015 DLL.cpp contains DLL-specific replacements



#include "../framework.hpp"
#include "../OS Win32.hpp"
#if _DEBUG
#	include "../OS Win32 DbgHelp.hpp"
#endif
#include "2015.hpp"

#if COMPILED_TO_EXECUTABLE
#	include "2015 EXE.inl"
#elif COMPILED_TO_DYNAMIC_LIBRARY
// TODO: 2015 DLL.inl is not yet stable enough to #include it here
#else
#	error TODO
#endif