namespace Formats {


	namespace CTX {


		namespace Error { enum : UInt4B {

			// error: file name has no extension
			//  (more)   zero-terminated path (native encoding)
			//  (return) ignored
			noExtension = 0x10000200,

			// error: unknown file extension
			//  (more)   to zero-terminated file extension (native encoding)
			//  (return) ignored
			badExtension,

			// error: unknown file layout
			//  (more)   nothing
			//  (return) ignored
			badLayout,

			// error: unknwon file layout (seems like a cube)
			//  (more)   nothing
			//  (return) ignored
			badCubeLayout,

			// error: unknwon file layout (seems like a square)
			//  (more)   nothing
			//  (return) ignored
			badSquareLayout

		}; }


	} // CTX


} // Formats