namespace Formats {


	namespace ICO {


		namespace Error { enum : UInt4B {
			// Unexpected end of file:
			eofInHeader = 0x80000300,
			eofInImageList,
			eofInImage,
			// Invalid file data:
			badSignature,
			badImageSignature,
			badCursorHotspot,
			badColorPlanes,
			badColorDepth,
			badImageOffset,
			badImageSize,
			badBMPHeight,
			// There are no images in the file.
			noImages,
			// A memory allocation failed.
			outOfMemory,
			// A BMP or PNG uses an unsupported format.
			unsupportedImageFormat
		}; }


	} // ICO


} // Formats